---
title: /itemlistingrequestupdatenotification
slug: reference/itemlistingrequestupdatenotification
docTags: 
createdAt: 2026-08-23T06:01:06.452Z
---

{
  "id": "ttMSMaVUcCK73D7E-4Yrl",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://endpoint.YOURDOMAIN.com/itemlistingrequestupdatenotification",
    "servers": [
      {
        "url": "https://endpoint.YOURDOMAIN.com/itemlistingrequestupdatenotification"
      }
    ],
    "name": "",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "timestamp",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "<p>The time the request was sent to the Merchant in SECONDS since unix epoch (Jan 1, 1970)</p>",
              "default": "1415287568",
              "format": "int32"
            },
            {
              "name": "type",
              "kind": "optional",
              "type": "string",
              "description": "<p>The notification type. For this notification it is always ITEM_LISTING_REQUEST_UPDATE</p>",
              "default": "ITEM_LISTING_REQUEST_UPDATE"
            },
            {
              "name": "accountId",
              "kind": "optional",
              "type": "string",
              "description": "Customer's account UID in merchant's site",
              "default": "e520-ba9a-367-60b"
            },
            {
              "name": "eventId",
              "kind": "optional",
              "type": "string",
              "description": "Unique identifier of the compensation request provided by the merchant in the initial compensation request in the eventId field",
              "default": "r48987fgdse0r"
            },
            {
              "name": "correlationId",
              "kind": "optional",
              "type": "string",
              "description": "Unique identifier sent from Forter to merchant as a response to the initial compensation request",
              "default": "2356fdse0rr489"
            },
            {
              "name": "merchantAction",
              "kind": "optional",
              "type": "string",
              "description": "<p>The desired action - continue processing the user compensation request or block it</p>",
              "default": "RELEASE"
            },
            {
              "name": "triggeredBy",
              "kind": "optional",
              "type": "string",
              "description": "Email of the user that updated the compensation request. Maximum length is 75 characters.",
              "default": "john_s@test.com"
            },
            {
              "name": "agentComments",
              "kind": "optional",
              "type": "string",
              "description": "Agent comments regarding the reason for the status update. Maximum length is 255 characters.",
              "default": "Customer seems legit"
            },
            {
              "name": "linkToEventInForterDashboard",
              "kind": "optional",
              "type": "string",
              "description": "A link to the original compensation request event in the Forter Decision Dashboard",
              "default": "https://portal.forter.com/touchpoint/2356fdse0rr489"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "sec0",
          "name": "sec0",
          "kind": "optional",
          "type": "http",
          "scheme": "basic"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "AN0gR6SvoBaUc1ShJeX4n",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://endpoint.YOURDOMAIN.com/itemlistingrequestupdatenotification \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data-raw '{\n     \"timestamp\": \"1415287568\",\n     \"type\": \"ITEM_LISTING_REQUEST_UPDATE\",\n     \"accountId\": \"e520-ba9a-367-60b\",\n     \"eventId\": \"r48987fgdse0r\",\n     \"correlationId\": \"2356fdse0rr489\",\n     \"merchantAction\": \"RELEASE\",\n     \"triggeredBy\": \"john_s@test.com\",\n     \"agentComments\": \"Customer seems legit\",\n     \"linkToEventInForterDashboard\": \"https://portal.forter.com/touchpoint/2356fdse0rr489\"\n     }'"
        },
        {
          "id": "OXbDgZM30H0qxveu_5YyQ",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"timestamp\": \"1415287568\",\n   \"type\": \"ITEM_LISTING_REQUEST_UPDATE\",\n   \"accountId\": \"e520-ba9a-367-60b\",\n   \"eventId\": \"r48987fgdse0r\",\n   \"correlationId\": \"2356fdse0rr489\",\n   \"merchantAction\": \"RELEASE\",\n   \"triggeredBy\": \"john_s@test.com\",\n   \"agentComments\": \"Customer seems legit\",\n   \"linkToEventInForterDashboard\": \"https://portal.forter.com/touchpoint/2356fdse0rr489\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://endpoint.YOURDOMAIN.com/itemlistingrequestupdatenotification\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "FuIwY6LmNxzshfu_idDW-",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://endpoint.YOURDOMAIN.com/itemlistingrequestupdatenotification\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"timestamp\": \"1415287568\",\n   \"type\": \"ITEM_LISTING_REQUEST_UPDATE\",\n   \"accountId\": \"e520-ba9a-367-60b\",\n   \"eventId\": \"r48987fgdse0r\",\n   \"correlationId\": \"2356fdse0rr489\",\n   \"merchantAction\": \"RELEASE\",\n   \"triggeredBy\": \"john_s@test.com\",\n   \"agentComments\": \"Customer seems legit\",\n   \"linkToEventInForterDashboard\": \"https://portal.forter.com/touchpoint/2356fdse0rr489\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "PODjYX6ik2gKbOST23pG-",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://endpoint.YOURDOMAIN.com/itemlistingrequestupdatenotification\"\n\npayload = json.dumps({\n   \"timestamp\": \"1415287568\",\n   \"type\": \"ITEM_LISTING_REQUEST_UPDATE\",\n   \"accountId\": \"e520-ba9a-367-60b\",\n   \"eventId\": \"r48987fgdse0r\",\n   \"correlationId\": \"2356fdse0rr489\",\n   \"merchantAction\": \"RELEASE\",\n   \"triggeredBy\": \"john_s@test.com\",\n   \"agentComments\": \"Customer seems legit\",\n   \"linkToEventInForterDashboard\": \"https://portal.forter.com/touchpoint/2356fdse0rr489\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "AN0gR6SvoBaUc1ShJeX4n"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": ""
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}